<?xml version="1.0" encoding="Shift_JIS" ?>
<di-config>
<bean-mappings>
	<bean id="ConnectionManager" type="org.itscool.commons.connection.OriginalConnectionManager" singleton="true">
		<property name="url" value="jdbc:hsqldb:hsql://localhost"/>
		<property name="user" value="sa"/>
		<property name="pwd" value=""/>
		<property name="drvname" value="org.hsqldb.jdbcDriver"/>	
		<property name="timeout" value="300"/>	
		<property name="initSize" value="3"/>	
		<property name="maxSize" value="10"/>
		<property name="mode" value="false"/>	
		<property name="showSql" value="true"/>
    </bean>
	<bean id="__ConnectionManager" type="org.itscool.commons.connection.DataSourceManager" singleton="true">
		<property name="dsName" value="java:comp/env/weber-jndi"/>	
		<property name="mode" value="false"/>	
		<property name="showSql" value="true"/>
    </bean>
	<bean id="__ConnectionManager" type="org.itscool.webertest.mock.MockConnectionManager" singleton="true"/>
	
	<bean id="RoleManager" type="org.itscool.weber.user.RoleDbManager" singleton="true"/>
	<bean id="_RoleManager" type="org.itscool.weber.user.RoleFileManager" singleton="true">
		<property name="rootPath" value="D:/kano/myproduct/web-fw2_2/WEB-INF/pwd/"/>
		<property name="roleDefines" collection="map">
			<bean id="admin" type="java.lang.String" value="admin-user.pwd"/>
			<bean id="guest" type="java.lang.String" value="guest-user.pwd"/>
		</property>
	</bean>
	
	<bean id="Log" type="org.itscool.commons.file.Log" singleton="true">
		<property name="maxSize" value="1000"/>
		<property name="logPath" value="C:/weber.log"/>
		<property name="level" value="debug"/>
		<property name="mode" value="all"/>
		<property name="encode" value="Shift_JIS"/>
	</bean>
	<bean id="ServletInformation" type="org.itscool.weber.action.ServletInformation" singleton="true">
		<property name="infos" collection="map">
			<bean id="encoding" type="java.lang.String" value="Shift_JIS"/>
		</property>
	</bean>
	<bean id="ActionConfigReader" type="org.itscool.weber.io.ActionConfigReader">
		<property name="configName" value="weber-config.xml"/>
	</bean>
	<bean id="ExceptionConfigReader" type="org.itscool.weber.io.ExceptionConfigReader">
		<property name="configName" value="weber-config.xml"/>
	</bean>
	<bean id="MessageConfigReader" type="org.itscool.weber.io.MessageConfigReader">
		<property name="configName" value="message-config.xml"/>
	</bean>
	<bean id="DaoConfigReader" type="org.itscool.commons.dao.DaoConfigReader">
		<property name="configName" value="dao-config.xml"/>
	</bean>
	<bean id="LayoutConfigReader" type="org.itscool.stylist.io.LayoutConfigReader">
		<property name="configName" value="stylist-config.xml"/>
	</bean>
	<bean id="MappingToolInfo" type="org.itscool.commons.daotool.MappingToolInfo">
		<property name="infos" collection="map">
			<bean id="docpath" type="java.lang.String" value="resource/DB.xls"/>
			<bean id="startSheetIndex" type="java.lang.String" value="1"/>
			<bean id="tmppath" type="java.lang.String" value="resource/template/"/>
			<bean id="out" type="java.lang.String" value="j2src/out/"/>
			<bean id="encode" type="java.lang.String" value="MS932"/>
			<bean id="db" type="java.lang.String" value="hsql"/>
		</property>
	</bean>
</bean-mappings>
</di-config>